Quassel IRC - Bug #600

CMake - EMBED DATA vs. WITH_KDE
03/07/2009 04:40 PM - DevUrandom

Status: Closed Start date: 03/07/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Build System Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Any
Description

Enabling both EMBED_DATA and WITH_KDE at the same time does not seem to issue a warning (or better: error).

History

#1 - 03/04/2010 07:45 PM - johu

- Status changed from New to Feedback

please give a reason, why this is a bug

#2 - 03/05/2010 07:19 AM - DevUrandom

Puh, it's been quite a little while since | found this issue...

Assumption from reading my description: WITH_KDE uses KDE icons, and EMBED_DATA embeds them into the quassel binary? Best is probably

you try it and see what happens...

#3 - 03/10/2010 10:33 AM - MarcLandis
- Status changed from Feedback to Closed

if you set both to ON then EMBED_DATA is later set to OFF in the CMakelList:

1. Setup KDE4 support
if(WITH_KDE)
find_package(KDE4)
if(KDE4_FOUND)
message(STATUS "Enabling KDE4 integration")
include_directories(${KDE4_INCLUDES})
add_definitions(-DHAVE_KDE ${KDE4_DEFINITIONS})
set(HAVE_KDE 1)
set(QUASSEL_KDE_LIBRARIES ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBRARY} ${KDE4_SOLID_LIBS} knotifyconfig)
use external icons for KDE4 support, since we use its iconloader rather than our own
set(EMBED_DATA OFF)
else(KDE4_FOUND)
message(STATUS "KDE4 not found, disabling KDE integration")
endif(KDE4_FOUND)
else(WITH_KDE)
message(STATUS "Not enabling KDE4 integration")
endif(WITH_KDE)
